-- не настраивать
require( "scripts/game/deftasks.lua" );
require( "scripts/game/deftime.lua" );
GameObject = {
    Params = {
        ID="pumpkin";
        width=0;
        height=0;
        GridData = {  }; 
        action_enabled = 0;
        group=5; --продукт
    };
    -- точки подхода персонажа
    ActivePoints = { 
        pumpkintake = { 
                        { {"redbarn"}, 0,1,0,  0,  0,1,0 };
                   }; 
    };
    Objects = { };
    -- перечисление всех задач для обьекта
    Tasks = { 
        take_pumpkintake = { FuncName="TakeTaskExecute", sleeping={0}, time_tick=10, not_need_action=0, skill_up = 0, restore_health=1000 };
    };
    -- перечисление всех триггеров для обьекта
    Triggers = { 
        SpoilTrigger = { FuncName="SpoilTriggerExecute", NotRunWhen={}, timer=0,warn_timer=0,end_timer=0,active=0 };
    };
    --задачи которые начинают выполнятся после создания обьекта
    InitActiveTasks = { };
    --задачи которые обьект ожидает после создания обьекта
    InitExpectedTasks = {};
    -- акция
    Action = {  
        Name = "pumpkintake";  
        IDs = {"redbarn"};
        CanMany = 0;
    }
};
function GameObject:Get()
    return self;
end
function GetParams()
    aObj = GameObject:Get();   
    return aObj.Params;
end
